Page MenuHomePhabricator

Set up an instance of EventStreams in beta that will allow for consuming any stream
Open, MediumPublic

Description

This will aide instrumentation developers as they can view any stream in Kafka using EventStreams. We can use this to build a nice GUI for testing instrumentation streams in beta.

Event Timeline

Ottomata created this task.May 18 2020, 9:03 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptMay 18 2020, 9:03 PM

Change 597163 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[mediawiki/services/eventstreams@master] Allow to configure EventStreams to consume any topic

https://gerrit.wikimedia.org/r/597163

Change 597163 merged by Ottomata:
[mediawiki/services/eventstreams@master] Allow to configure EventStreams to consume any topic

https://gerrit.wikimedia.org/r/597163

LGoto triaged this task as Medium priority.May 19 2020, 3:40 PM
Milimetric moved this task from Incoming to Event Platform on the Analytics board.May 28 2020, 3:34 PM

ping @Milimetric (yes that's myself) to write the GUI

mforns claimed this task.Sep 16 2020, 3:10 PM

Assigning this task to me after conversation with @Ottomata and @Milimetric .

Ottomata moved this task from Backlog to In Progress on the Event-Platform board.Tue, Nov 10, 9:38 PM

Change 641215 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[mediawiki/services/eventstreams@master] Stream config integration

https://gerrit.wikimedia.org/r/641215

Change 641215 merged by Ottomata:
[mediawiki/services/eventstreams@master] Stream config integration

https://gerrit.wikimedia.org/r/641215

Change 641457 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[mediawiki/services/eventstreams@master] Sort stream configs and augment specific stream route summary

https://gerrit.wikimedia.org/r/641457

Change 641457 merged by jenkins-bot:
[mediawiki/services/eventstreams@master] Sort stream configs and augment specific stream route summary

https://gerrit.wikimedia.org/r/641457

Change 641459 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/mediawiki-config@master] wgEventStreamsDefaultSettings in beta should only set eqiad as topic prefix

https://gerrit.wikimedia.org/r/641459

Change 641459 merged by Ottomata:
[operations/mediawiki-config@master] wgEventStreamsDefaultSettings in beta should only set eqiad as topic prefix

https://gerrit.wikimedia.org/r/641459

Mentioned in SAL (#wikimedia-operations) [2020-11-17T19:12:24Z] <otto@deploy1001> Synchronized wmf-config/InitialiseSettings-labs.php: wgEventStreamsDefaultSettings in beta should only set eqiad as topic prefix - T253069 (duration: 02m 26s)

Change 643063 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/deployment-charts@master] eventstreams - stream config integration

https://gerrit.wikimedia.org/r/643063

Change 643063 merged by Ottomata:
[operations/deployment-charts@master] eventstreams - stream config integration

https://gerrit.wikimedia.org/r/643063

Change 643085 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/deployment-charts@master] Use puppetca cert for eventstreams so it can make requests to internal services

https://gerrit.wikimedia.org/r/643085

Change 643085 merged by Ottomata:
[operations/deployment-charts@master] Use puppetca cert for eventstreams so it can make requests to internal services

https://gerrit.wikimedia.org/r/643085

Change 643092 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/deployment-charts@master] Allow eventstreams to talk to schema.svc

https://gerrit.wikimedia.org/r/643092

phuedx removed a subscriber: phuedx.Mon, Nov 23, 9:11 PM

Change 643092 merged by jenkins-bot:
[operations/deployment-charts@master] Allow eventstreams to talk to schema.svc

https://gerrit.wikimedia.org/r/643092